/*
 * Bomb.cpp
 *
 *  Created on: Jan 4, 2014
 *      Author: brian
 */



#include "Bomb.h"

#include <vector>

Bomb::Bomb() :
		m_heading(0,0), m_caught(false) {
	//m_direction = 1;
	cout << "Bomb Constructor " << endl;

}

Bomb::~Bomb() {

	cout << "Bomb Destructor " << endl;

}

void Bomb::update() {
	if (m_heading.getY() > 0) {
		m_falling = true;
		m_currentFrame = int((((SDL_GetTicks() / 100) )% 3) + 1);
	} else {
		m_currentFrame = 0;
	}
	//m_currentFrame = 0;
	m_y += m_heading.getY();
}

void Bomb::load(int x, int y, int width, int height, std::string textureID) {
	GameObject::load(x, y, width, height, textureID);
	//load(x, y, width, height, textureID);
}

void Bomb::draw(SDL_Renderer* pRenderer) {
	GameObject::draw(pRenderer);
}

void Bomb::clean() {
}

void Bomb::setX(int x) {
	m_x = x;
}

void Bomb::setFall(float y) {
	m_heading.setY(y);
	m_falling = true;
}

