/*
 * Background.h
 *
 *  Created on: Jan 13, 2014
 *      Author: brian
 */

#ifndef BACKGROUND_H_
#define BACKGROUND_H_

#include "SDL.h"
#include "GameObject.h"


class Background : public GameObject
{
public:

	  virtual void load(int x, int y, int width, int height, std::string textureID);
	  virtual void load(int x, int y, int width, int height);

	virtual void draw(SDL_Renderer* pRenderer);

private:
	int m_destWidth;
	int m_destHeight;

};


#endif /* BACKGROUND_H_ */
